<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.impaktsoft.globeup.viewmodels.ImageCaptureViewModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/take_picture_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.impaktsoft.globeup.components.RoundFrameLayout
                android:layout_width="640px"
                android:layout_height="640px"
                android:layout_centerInParent="true">

                <TextureView
                    android:id="@+id/texture_view"
                    android:layout_width="640px"
                    android:layout_height="640px" />
            </com.impaktsoft.globeup.components.RoundFrameLayout>

            <ImageButton
                android:id="@+id/capture_button"
                android:layout_width="72dp"
                android:layout_height="72dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:layout_margin="24dp"
                android:src="@android:drawable/ic_menu_camera" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/preview_image_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone">

            <com.impaktsoft.globeup.components.RoundFrameLayout
                android:layout_width="640px"
                android:layout_height="640px"
                android:layout_centerInParent="true">

                <ImageView
                    android:id="@+id/image_preview"
                    android:layout_width="640px"
                    android:layout_height="640px"
                    cb_filePath="@{viewModel.imagePath}" />
            </com.impaktsoft.globeup.components.RoundFrameLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true">

                <ImageButton
                    android:id="@+id/retry_button"
                    android:layout_width="72dp"
                    android:layout_height="72dp"
                    android:layout_margin="24dp"
                    android:onClick="@{()->viewModel.retry()}"
                    android:src="@drawable/ic_cross3" />

                <ImageButton
                    android:id="@+id/accept_button"
                    android:layout_width="72dp"
                    android:layout_height="72dp"
                    android:layout_margin="24dp"
                    android:onClick="@{()->viewModel.accept()}"
                    android:src="@drawable/ic_done_kopia" />
            </LinearLayout>
        </RelativeLayout>

    </RelativeLayout>

</layout>
